summaryrefslogtreecommitdiffstats
path: root/jjb
diff options
context:
space:
mode:
authorEric Ball <eball@linuxfoundation.org>2023-04-28 17:24:51 -0700
committerEric Ball <eball@linuxfoundation.org>2023-04-28 17:24:51 -0700
commit9acc4e0693953695f54563f035842337419ce310 (patch)
tree9e13a423d5261fff570d597d003a0765c58a9d93 /jjb
parent84ae00fb152d2fbfe8ab016546e01cc5bc089e40 (diff)
Chore: Remove data for archived TLDK project
Change-Id: I4bfabb28f5ce59cda9ec26cc09e9d205674dae51 Signed-off-by: Eric Ball <eball@linuxfoundation.org>
Diffstat (limited to 'jjb')
-rwxr-xr-xjjb/tldk/gtest-build.sh14
-rwxr-xr-xjjb/tldk/include-raw-build.sh54
-rw-r--r--jjb/tldk/include-raw-tldk-csit-functional-virl.sh52
-rw-r--r--jjb/tldk/tldk.yaml208
4 files changed, 0 insertions, 328 deletions
diff --git a/jjb/tldk/gtest-build.sh b/jjb/tldk/gtest-build.sh
deleted file mode 100755
index f5a27e0f2..000000000
--- a/jjb/tldk/gtest-build.sh
+++ /dev/null
@@ -1,14 +0,0 @@
-#!/bin/bash
-set -e -o pipefail
-echo $WORKSPACE
-git clone -v https://github.com/google/googletest.git --branch release-1.10.0 \
-$WORKSPACE/googletest
-cmake $WORKSPACE/googletest/CMakeLists.txt
-make -C $WORKSPACE/googletest
-echo GTEST_DIR=$WORKSPACE/googletest/googletest > gtest-env.prop
-echo GMOCK_DIR=$WORKSPACE/googletest/googlemock >> gtest-env.prop
-
-echo "*******************************************************************"
-echo "* GTEST BUILD SUCCESSFULLY COMPLETED"
-echo "*******************************************************************"
-
diff --git a/jjb/tldk/include-raw-build.sh b/jjb/tldk/include-raw-build.sh
deleted file mode 100755
index 287e707cc..000000000
--- a/jjb/tldk/include-raw-build.sh
+++ /dev/null
@@ -1,54 +0,0 @@
-#!/bin/bash
-# basic build script example
-set -e -o pipefail
-# do nothing but print the current slave hostname
-hostname
-export CCACHE_DIR=/tmp/ccache
-if [ -d $CCACHE_DIR ];then
- echo $CCACHE_DIR exists
- du -sk $CCACHE_DIR
-else
- echo $CCACHE_DIR does not exist. This must be a new slave.
-fi
-
-echo "cat /etc/bootstrap.sha"
-if [ -f /etc/bootstrap.sha ];then
- cat /etc/bootstrap.sha
-else
- echo "Cannot find /etc/bootstrap.sha"
-fi
-
-echo "cat /etc/bootstrap-functions.sha"
-if [ -f /etc/bootstrap-functions.sha ];then
- cat /etc/bootstrap-functions.sha
-else
- echo "Cannot find /etc/bootstrap-functions.sha"
-fi
-
-# Make TLDK
-make
-
-echo "*******************************************************************"
-echo "* TLDK BUILD SUCCESSFULLY COMPLETED"
-echo "*******************************************************************"
-
-# Run unit tests application
-sudo $WORKSPACE/x86_64-native-linuxapp-gcc/app/gtest-rfc --lcores=0 -n 2
-
-echo "*******************************************************************"
-echo "* TLDK UNIT TESTS SUCCESSFUL"
-echo "*******************************************************************"
-
-if [ -f "$WORKSPACE/examples/l4fwd/test/run_test.sh" ]
-then
- export ETH_DEV="tap"
- export L4FWD_PATH=$WORKSPACE/x86_64-native-linuxapp-gcc/app/l4fwd
- export L4FWD_FECORE=0
- export L4FWD_BECORE=1
-
- sudo -E /bin/bash $WORKSPACE/examples/l4fwd/test/run_test.sh -46a
-
- echo "*****************************************************************"
- echo "* TLDK OFO/LOST SEGMENT TESTS SUCCESSFUL"
- echo "*****************************************************************"
-fi
diff --git a/jjb/tldk/include-raw-tldk-csit-functional-virl.sh b/jjb/tldk/include-raw-tldk-csit-functional-virl.sh
deleted file mode 100644
index 547a000f7..000000000
--- a/jjb/tldk/include-raw-tldk-csit-functional-virl.sh
+++ /dev/null
@@ -1,52 +0,0 @@
-#!/bin/bash
-# Copyright (c) 2017 Cisco and/or its affiliates.
-# Licensed under the Apache License, Version 2.0 (the "License");
-# you may not use this file except in compliance with the License.
-# You may obtain a copy of the License at:
-#
-# http://www.apache.org/licenses/LICENSE-2.0
-#
-# Unless required by applicable law or agreed to in writing, software
-# distributed under the License is distributed on an "AS IS" BASIS,
-# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
-# See the License for the specific language governing permissions and
-# limitations under the License.
-
-set -xeu -o pipefail
-
-# Clone tldk and start tests
-git clone https://gerrit.fd.io/r/tldk
-
-# If the git clone fails, complain clearly and exit
-if [ $? != 0 ]; then
- echo "Failed to run: git clone https://gerrit.fd.io/r/tldk"
- exit 1
-fi
-
-# Clone csit and start tests
-git clone https://gerrit.fd.io/r/csit
-
-# If the git clone fails, complain clearly and exit
-if [ $? != 0 ]; then
- echo "Failed to run: git clone https://gerrit.fd.io/r/csit"
- exit 1
-fi
-
-# Move the tldk to the csit dir
-sudo mv -f ./tldk/ ./csit/
-
-cd csit
-
-# execute nsh_sfc bootstrap script if it exists
-if [ -e bootstrap-TLDK.sh ]
-then
- # make sure that bootstrap-TLDK.sh is executable
- chmod +x bootstrap-TLDK.sh
- # run the script
- ./bootstrap-TLDK.sh
-else
- echo 'ERROR: No bootstrap-TLDK.sh found'
- exit 1
-fi
-
-# vim: ts=4 ts=4 sts=4 et :
diff --git a/jjb/tldk/tldk.yaml b/jjb/tldk/tldk.yaml
deleted file mode 100644
index f20eadcea..000000000
--- a/jjb/tldk/tldk.yaml
+++ /dev/null
@@ -1,208 +0,0 @@
-# Copyright (c) 2017 Cisco and/or its affiliates.
-# Licensed under the Apache License, Version 2.0 (the "License");
-# you may not use this file except in compliance with the License.
-# You may obtain a copy of the License at:
-#
-# http://www.apache.org/licenses/LICENSE-2.0
-#
-# Unless required by applicable law or agreed to in writing, software
-# distributed under the License is distributed on an "AS IS" BASIS,
-# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
-# See the License for the specific language governing permissions and
-# limitations under the License.
-
----
-- project:
- name: tldk
- jobs:
- - '{project}-verify-{stream}-{os}'
- - '{project}-merge-{stream}-{os}'
- - '{project}-verify-image-{stream}-{os}'
-
- project: 'tldk'
- os:
- - ubuntu2004
- stream:
- - master:
- branch: 'master'
- - dev-next-socket:
- branch: 'dev-next-socket'
- - dev-mitm-proxy:
- branch: 'dev-mitm-proxy'
-
-- project:
- name: tldk-view
- view:
- - project-view
- project-name: tldk
-
-- job-template:
- name: '{project}-verify-{stream}-{os}'
-
- project-type: freestyle
- node: '{os}-builder-4c-4g'
- concurrent: true
-
- properties:
- - lf-infra-properties:
- build-days-to-keep: "{build-days-to-keep}"
-
- parameters:
- - project-parameter:
- project: '{project}'
- - gerrit-parameter:
- branch: '{branch}'
- - os-parameter:
- os: '{os}'
- - gerrit-refspec-parameter
-
- scm:
- - gerrit-trigger-scm:
- credentials-id: 'jenkins-gerrit-credentials'
- refspec: '$GERRIT_REFSPEC'
- choosing-strategy: 'gerrit'
-
- wrappers:
- - fdio-infra-wrappers:
- build-timeout: '{build-timeout}'
-
- triggers:
- - gerrit-trigger-patch-submitted:
- name: '{project}'
- branch: '{branch}'
-
- builders:
- - shell:
- !include-raw-escape: gtest-build.sh
- - inject:
- properties-file: gtest-env.prop
- - shell:
- !include-raw-escape: include-raw-build.sh
-
- publishers:
- - lf-infra-publish
-
-- job-template:
- name: '{project}-verify-image-{stream}-{os}'
-
- project-type: freestyle
- node: '{os}-builder-4c-4g'
- concurrent: true
-
- properties:
- - lf-infra-properties:
- build-days-to-keep: "{build-days-to-keep}"
-
- parameters:
- - project-parameter:
- project: '{project}'
- - gerrit-parameter:
- branch: '{branch}'
- - os-parameter:
- os: '{os}'
- - gerrit-refspec-parameter
-
- scm:
- - gerrit-trigger-scm:
- credentials-id: 'jenkins-gerrit-credentials'
- refspec: '$GERRIT_REFSPEC'
- choosing-strategy: 'gerrit'
-
- wrappers:
- - fdio-infra-wrappers:
- build-timeout: '{build-timeout}'
-
- triggers:
- - gerrit:
- server-name: 'Primary'
- trigger-on:
- - comment-added-contains-event:
- comment-contains-value: 'verify-images'
- projects:
- - project-compare-type: 'ANT'
- project-pattern: '{project}'
- branches:
- - branch-compare-type: 'ANT'
- branch-pattern: '**/{branch}'
- skip-vote:
- successful: true
- failed: true
- unstable: true
- notbuilt: true
-
- builders:
- - shell:
- !include-raw-escape: gtest-build.sh
- - inject:
- properties-file: gtest-env.prop
- - shell:
- !include-raw-escape: include-raw-build.sh
-
- publishers:
- - lf-infra-publish
-
-- job-template:
- name: '{project}-merge-{stream}-{os}'
-
- project-type: freestyle
- node: '{os}-builder-4c-4g'
- properties:
- - lf-infra-properties:
- build-days-to-keep: "{build-days-to-keep}"
-
- parameters:
- - project-parameter:
- project: '{project}'
- - gerrit-parameter:
- branch: '{branch}'
- - os-parameter:
- os: '{os}'
-
- scm:
- - gerrit-trigger-scm:
- credentials-id: 'jenkins-gerrit-credentials'
- refspec: ''
- choosing-strategy: 'default'
-
- wrappers:
- - fdio-infra-wrappers:
- build-timeout: '{build-timeout}'
-
- triggers:
- - gerrit-trigger-patch-merged:
- name: '{project}'
- branch: '{branch}'
-
- builders:
- - shell:
- !include-raw-escape: gtest-build.sh
- - inject:
- properties-file: gtest-env.prop
- - shell:
- !include-raw-escape: include-raw-build.sh
-
- publishers:
- - lf-infra-publish
-
-- project:
- name: tldk-info
- project-name: tldk
- jobs:
- - gerrit-info-yaml-verify
- build-node: centos7-builder-2c-2g
- project: tldk
- branch: master
-
-- project:
- name: tldk-sonar
- project: tldk
- project-name: tldk
- mvn-settings: tldk-settings
- sonarcloud: true
- sonarcloud-project-organization: '{sonarcloud_project_organization}'
- sonarcloud-api-token: '{sonarcloud_api_token}'
- sonarcloud-project-key: '{sonarcloud_project_organization}_{project-name}'
- branch: master
- build-node: centos7-docker-2c-2g
- jobs:
- - gerrit-maven-sonar